mxGraphMlData (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.io.graphml
Class mxGraphMlData

    java.lang.Object
      com.mxgraph.io.graphml.mxGraphMlData

    public class mxGraphMlData

extends Object

Represents a Data element in the GML Structure.

Constructor Summary
`mxGraphMlData()` Construct an empty data.
`mxGraphMlData(Element dataElement)` Construct a data from one xml data element.
`mxGraphMlData(String dataId, String dataKey, String dataValue, mxGraphMlShapeEdge dataShapeEdge, mxGraphMlShapeNode dataShapeNode)` Construct a data with the params values.

Method Summary
`Element` | `generateEdgeElement(Document document)` Generates an Edge Data Element from this class.
`Element` | `generateNodeElement(Document document)` Generates an Node Data Element from this class.
`String` | `getDataId()`
`String` | `getDataKey()`
`mxGraphMlShapeEdge` | `getDataShapeEdge()`
`mxGraphMlShapeNode` | `getDataShapeNode()`
`String` | `getDataValue()`
`void` | `setDataId(String dataId)`
`void` | `setDataKey(String dataKey)`
`void` | `setDataShapeEdge(mxGraphMlShapeEdge dataShapeEdge)`
`void` | `setDataShapeNode(mxGraphMlShapeNode dataShapeNode)`
`void` | `setDataValue(String dataValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxGraphMlData

    public mxGraphMlData(String dataId,
                         String dataKey,
                         String dataValue,
                         mxGraphMlShapeEdge dataShapeEdge,
                         mxGraphMlShapeNode dataShapeNode)

  Construct a data with the params values.

  Parameters:
    `dataId` - Data's ID
    `dataKey` - Reference to a Key Element ID
    `dataValue` - Value of the data Element
    `dataShapeEdge` - JGraph specific edge properties.
    `dataShapeNode` - JGraph specific node properties.

### mxGraphMlData

    public mxGraphMlData(Element dataElement)

  Construct a data from one xml data element.

  Parameters:
    `dataElement` - Xml Data Element.

### mxGraphMlData

    public mxGraphMlData()

  Construct an empty data.

Method Detail

### getDataId

    public String getDataId()

### setDataId

    public void setDataId(String dataId)

### getDataKey

    public String getDataKey()

### setDataKey

    public void setDataKey(String dataKey)

### getDataValue

    public String getDataValue()

### setDataValue

    public void setDataValue(String dataValue)

### getDataShapeNode

    public mxGraphMlShapeNode getDataShapeNode()

### setDataShapeNode

    public void setDataShapeNode(mxGraphMlShapeNode dataShapeNode)

### getDataShapeEdge

    public mxGraphMlShapeEdge getDataShapeEdge()

### setDataShapeEdge

    public void setDataShapeEdge(mxGraphMlShapeEdge dataShapeEdge)

### generateNodeElement

    public Element generateNodeElement(Document document)

  Generates an Node Data Element from this class.

  Parameters:
    `document` - Document where the key Element will be inserted.
  Returns:
    Returns the generated Elements.

### generateEdgeElement

    public Element generateEdgeElement(Document document)

  Generates an Edge Data Element from this class.

  Parameters:
    `document` - Document where the key Element will be inserted.
  Returns:
    Returns the generated Elements.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.